Qwt User's Guide: QwtCPointerData Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtCPointerData Class Reference

Inheritance diagram for QwtCPointerData:

[legend]
Collaboration diagram for QwtCPointerData:

[legend]
List of all members.

## Detailed Description

Data class containing two pointers to memory blocks of doubles.

Definition at line 144 of file qwt_data.h.

## Public Member Functions
| QwtCPointerData (const double *x, const double *y, size_t size)
QwtCPointerData & | operator= (const QwtCPointerData &)
virtual QwtData * | copy () const
virtual size_t | size () const
virtual double | x (size_t i) const
virtual double | y (size_t i) const
const double * | xData () const
const double * | yData () const
virtual QwtDoubleRect | boundingRect () const

## Constructor & Destructor Documentation

QwtCPointerData::QwtCPointerData | ( | const double * | x,
|  | const double * | y,
|  | size_t | size
| ) |

  | Constructor Parameters:
  | x | Array of x values
  | y | Array of y values
  | size | Size of the x and y arrays
Warning: The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object. See also: QwtPlotCurve::setData(), QwtPlotCurve::setRawData() Definition at line 281 of file qwt_data.cpp. Referenced by copy().

## Member Function Documentation

QwtDoubleRect QwtCPointerData::boundingRect | ( |  | ) | const`[virtual]`

| Returns the bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid: QwtDoubleRect::isValid() == false Reimplemented from QwtData. Definition at line 354 of file qwt_data.cpp. References size().

QwtData * QwtCPointerData::copy | ( |  | ) | const`[virtual]`

| Returns: Pointer to a copy (virtual copy constructor) Implements QwtData. Definition at line 344 of file qwt_data.cpp. References QwtCPointerData().

QwtCPointerData & QwtCPointerData::operator= | ( | const QwtCPointerData & |  | ) |

| Assignment. Definition at line 290 of file qwt_data.cpp. References d_size, d_x, and d_y.

size_t QwtCPointerData::size | ( |  | ) | const`[virtual]`

| Returns: Size of the data set Implements QwtData. Definition at line 302 of file qwt_data.cpp. Referenced by boundingRect().

double QwtCPointerData::x | ( | size_t | i | ) | const`[virtual]`

  | Return the x value of data point i Parameters:
  | i | Index
Returns: x X value of data point i Implements QwtData. Definition at line 313 of file qwt_data.cpp.

const double * QwtCPointerData::xData | ( |  | ) | const

| Returns: Array of the x-values Definition at line 330 of file qwt_data.cpp.

double QwtCPointerData::y | ( | size_t | i | ) | const`[virtual]`

  | Return the y value of data point i Parameters:
  | i | Index
Returns: y Y value of data point i Implements QwtData. Definition at line 324 of file qwt_data.cpp.

const double * QwtCPointerData::yData | ( |  | ) | const

| Returns: Array of the y-values Definition at line 336 of file qwt_data.cpp.